Description

Please add the following if statement to the default dhcpd.conf file so iPXE users do not need to modify this manually. It appears that

puppet-dhcp module has a variable for that, perhaps it can be used:

if exists user-class and option user-class = "iPXE" {

  filename "http://{foreman-example-com}/unattended/iPXE?bootstrap=1";

}

Associated revisions

Revision 1e45b6b4 - 02/02/2022 11:37 AM - Harm Endres 

Fixes #33549 - Set dhcp iPXE filename

If no value is set, the template URL is taken if the template feature is activated.

History

#1 - 10/20/2021 07:51 PM - Harm Endres

- Pull request https://github.com/theforeman/puppet-foreman_proxy/pull/704 added

Hi guys,

I have created a pull request for this. It would be great if someone could look over it.

Thanks and greetings

Harm

#2 - 11/12/2021 09:30 AM - The Foreman Bot

- Status changed from New to Ready For Testing

#3 - 01/27/2022 08:37 AM - Harm Endres

Hi folks,

sorry for the late response, I was on parental leave.

The Puppet code automatically sets the iPXE URL to the template URL when the template feature is enabled. Additionally there is a parameter that

enables bootstrapping, this is disabled by default. I can change the default behaviour if desired.

If the iPXE URL is set, all mechanisms described above are omitted and the defined URL is used.

Best regards

Harm

#4 - 02/02/2022 11:37 AM - The Foreman Bot

- Fixed in Releases 3.2.0 added
#5 - 02/02/2022 12:01 PM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset puppet-foreman_proxy|1e45b6b47cf9357f15dd16a41b241403d480b537.
